aboutsummaryrefslogtreecommitdiffstats
path: root/unmaintained/csync2/csync2.post-install
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
committerCarlo Landmeter <clandmeter@gmail.com>2016-08-25 15:26:24 +0200
commitb6af1e02efe594039707cd882517663d5370f375 (patch)
treeff9c2d55873e051e82972ba64c017352d3a75d34 /unmaintained/csync2/csync2.post-install
parenta71346b7acebc600960a98c84fb32cfd72fe864b (diff)
downloadaports-b6af1e02efe594039707cd882517663d5370f375.tar.bz2
aports-b6af1e02efe594039707cd882517663d5370f375.tar.xz
testing/[multiple]: move unmaintained packages
This moves all packages from testing to unmaintained which have not been updated for atleast 6 months. If you are affected by this commit please follow this proceddure: * make sure your packages build on all architectures * move your pacakge(s) back to testing * if you want to keep this package and can maintain it (or find somebody to maintain it for you) for a minimum of 6 months ask it to be moved to community
Diffstat (limited to 'unmaintained/csync2/csync2.post-install')
-rw-r--r--unmaintained/csync2/csync2.post-install25
1 files changed, 25 insertions, 0 deletions
diff --git a/unmaintained/csync2/csync2.post-install b/unmaintained/csync2/csync2.post-install
new file mode 100644
index 0000000000..ab02fa0c82
--- /dev/null
+++ b/unmaintained/csync2/csync2.post-install
@@ -0,0 +1,25 @@
+#!/bin/sh
+
+OPENSSL=${OPENSSL:-openssl}
+OPENSSL_CONF=${OPENSSL_CONF:-/etc/csync2/csync2-openssl.cnf}
+
+CRTFILE=/etc/csync2/csync2_ssl_cert.pem
+CSRFILE=/etc/csync2/csync2_ssl_cert.csr
+KEYFILE=/etc/csync2/csync2_ssl_key.pem
+
+if [ -f $CRTFILE ]; then
+ echo "$CRTFILE already exists, won't overwrite"
+ exit 0
+fi
+
+if [ -f $KEYFILE ]; then
+ echo "$KEYFILE already exists, won't overwrite"
+ exit 0
+fi
+
+$OPENSSL genrsa -out $KEYFILE 1024 || exit 2
+$OPENSSL req -config $OPENSSL_CONF -new -key $KEYFILE -out $CSRFILE || exit 2
+$OPENSSL x509 -req -days 365 -in $CSRFILE -signkey $KEYFILE -out $CRTFILE || exit 2
+
+chmod 0600 $KEYFILE
+rm $CSRFILE